/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { FileTagName } from "./FileTagName";
import type { MaybeRelativeFilePath } from "./MaybeRelativeFilePath";
import type { MimeType } from "./MimeType";
import type { OriginalFileName } from "./OriginalFileName";
import type { Record_string_any_ } from "./Record_string_any_";
import type { SizeInBytes } from "./SizeInBytes";

/**
 * File upload initialization request.
 */
export type BeginUploadRequestV2 = {
  addUniqueSuffix?: boolean;
  filePath?: MaybeRelativeFilePath;
  metadata?: Record_string_any_;
  mime?: MimeType;
  originalFileName?: OriginalFileName;
  size: SizeInBytes;
  tags?: Array<FileTagName>;
};
