/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { EpochMillis } from "./EpochMillis";
import type { FilePath } from "./FilePath";
import type { FileTagName } from "./FileTagName";
import type { MimeType } from "./MimeType";
import type { OriginalFileName } from "./OriginalFileName";
import type { Record_string_any_ } from "./Record_string_any_";
import type { SizeInBytes } from "./SizeInBytes";

export type FileDetails = {
  path: FilePath;
  lastModified: EpochMillis;
  size: SizeInBytes;
  metadata: Record_string_any_ | null;
  mime: MimeType | null;
  originalFileName: OriginalFileName | null;
  tags: Array<FileTagName>;
};
